#4190 [RFE] Switch apache to use mod_auth_gssapi
Closed: Fixed None Opened 7 years ago by simo.

mod_auth_gssapi is a new module I am working on to make Negotiate authentication more streamlined.

The main feature for FreeIPA is that it will allow the use of GSS-Proxy for all functionality as it does not use direct libkrb5 calls unlike mod_auth_kerb

It is a precondition for implementing #4189


Simo, would this be a good target for FreeIPA 4.2 & backport to Fedora 22?

According to Simo, this should be straightforward. mod_auth_gssapi is in Fedora already (http://koji.fedoraproject.org/koji/packageinfo?packageID=19000) and we have example for the configuration:

https://github.com/modauthgssapi/mod_auth_gssapi

master:

  • 8c72e2e Remove unused part of ipa.conf.
  • 5a03462 Use mod_auth_gssapi instead of mod_auth_kerb.
  • b965797 Bump ipa.conf version to 17.

Metadata Update from @simo:
- Issue assigned to dkupka
- Issue set to the milestone: FreeIPA 4.2

4 years ago

Login to comment on this ticket.

Metadata